
From: Adrian Bunk <bunk@stusta.de>

This patch contains the following cleanups:
- mkiss.c: make a needlessly global variable static
- dmascc.c: remove the unused global function dmascc_setup

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Cc: Jeff Garzik <jgarzik@pobox.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/net/hamradio/dmascc.c |   10 ----------
 drivers/net/hamradio/mkiss.c  |    2 +-
 2 files changed, 1 insertion(+), 11 deletions(-)

diff -puN drivers/net/hamradio/dmascc.c~drivers-net-hamradio-cleanups drivers/net/hamradio/dmascc.c
--- 25/drivers/net/hamradio/dmascc.c~drivers-net-hamradio-cleanups	2005-05-02 18:21:18.000000000 -0700
+++ 25-akpm/drivers/net/hamradio/dmascc.c	2005-05-02 18:21:18.000000000 -0700
@@ -311,16 +311,6 @@ static void __exit dmascc_exit(void)
 	}
 }
 
-#ifndef MODULE
-void __init dmascc_setup(char *str, int *ints)
-{
-	int i;
-
-	for (i = 0; i < MAX_NUM_DEVS && i < ints[0]; i++)
-		io[i] = ints[i + 1];
-}
-#endif
-
 static int __init dmascc_init(void)
 {
 	int h, i, j, n;
diff -puN drivers/net/hamradio/mkiss.c~drivers-net-hamradio-cleanups drivers/net/hamradio/mkiss.c
--- 25/drivers/net/hamradio/mkiss.c~drivers-net-hamradio-cleanups	2005-05-02 18:21:18.000000000 -0700
+++ 25-akpm/drivers/net/hamradio/mkiss.c	2005-05-02 18:21:18.000000000 -0700
@@ -65,7 +65,7 @@ typedef struct ax25_ctrl {
 
 static ax25_ctrl_t **ax25_ctrls;
 
-int ax25_maxdev = AX25_MAXDEV;		/* Can be overridden with insmod! */
+static int ax25_maxdev = AX25_MAXDEV;	/* Can be overridden with insmod! */
 
 static struct tty_ldisc	ax_ldisc;
 
_
